Saved Searches
Create and manage saved searches that run against your items and feeds.
Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Query Parameters
Filter to only pinned searches
Number of searches to return
1 <= value <= 10050Number of searches to skip
0 <= value0Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/saved-searches"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "query_data": {}, "is_pinned": false, "updated_at": "2019-08-24T14:15:22Z" } ], "pagination": { "total": 0, "limit": 0, "offset": 0, "has_more": true, "next_cursor": "string" }}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
POST /v1/saved-searches.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/saved-searches" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "query_data": {} }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "query_data": {}, "is_pinned": false, "updated_at": "2019-08-24T14:15:22Z"}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
POST /v1/saved-searches/bulk-delete.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/saved-searches" \ -H "Content-Type: application/json" \ -d '{ "search_ids": [ "c1a65e93-d9f6-4363-981f-f24db9d8ce2c" ] }'{ "message": "string"}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Path Parameters
The saved search's id
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/saved-searches/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "query_data": {}, "is_pinned": false, "updated_at": "2019-08-24T14:15:22Z"}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Path Parameters
The saved search's id
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
PATCH /v1/saved-searches/{search_id}.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/saved-searches/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "query_data": {}, "is_pinned": false, "updated_at": "2019-08-24T14:15:22Z"}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Path Parameters
The saved search's id
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/saved-searches/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "message": "string"}How is this guide?